Skip to main content
POST
/
api
/
v1
/
clients
Create client
curl --request POST \
  --url https://api.contracting.kukkingu.software/api/v1/clients \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenant-id: <tenant-id>' \
  --data '
{
  "name": "Acme Corporation",
  "description": "A leading provider of road runner deterrents.",
  "order": 13
}
'
{
  "data": {
    "id": "clnt_z2b3mo8qa5kzptgsu26q2wmh",
    "name": "Acme Corporation",
    "createdAt": "2023-10-05T14:48:00.000Z",
    "updatedAt": "2023-10-05T14:48:00.000Z",
    "description": "A leading provider of road runner deterrents.",
    "order": 13
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

tenant-id
string
required

Specifies the tenant context for the request. All endpoints operate within this tenant scope.

Example:

"tnt_pfh0haxfpzowht3oi213cqos"

Body

application/json

Request body used to create a client resource.

Request body used to create a client resource.

name
string
required

The name of the client.

Required string length: 1 - 255
Example:

"Acme Corporation"

description
string

Additional information describing the client.

Maximum string length: 1024
Example:

"A leading provider of road runner deterrents."

order
integer

Order of the resource for sorting purposes.

Required range: 0 <= x <= 9007199254740991
Example:

13

Response

Default Response

Standard success response payload wrapped in a data property.

data
object
required

Client resource returned by the API.